Bokeh Map Views For Traccar Fleet Tracking Module

by ,
Odoo          
v 10.0 Third Party 6

159.00 €

You bought this module and need support ? Click here !
Technical name map_bokeh_views
Required Apps Fleet Management (fleet)
Included Dependencies
Technical name map_bokeh_views
Required Apps Fleet Management (fleet)
Included Dependencies

Bokeh Map View Add-on for the Traccar Fleet Tracking

An add-on module which extends the Traccar Fleet Tracking module with bokeh map views showing daily movement data per vehicle.

  • Adds daily movement data for vehicles (all trips taken on a particular date).
  • Bokeh Map Views on the Vehicle form and the Location History form

Daily Trip Data

Movement data visible on a calendar view, by clicking on the Daily Movement button on a vehicle.

Last Map Location.



Shows Last Updated Location on the map, visible on the Vehicle form.

The bokeh widget usage depends on this OCA module :
https://github.com/OCA/web/tree/10.0/web_widget_bokeh_chart
All credit for it goes to OCA and it's contributors:

  • Jordi Ballester Alomar
  • Lois Rilo Antelo

Tehnical pre-requisites:



NOTE: this is a 10$ add-on for the Traccar Fleet Tracking module, which is included as a dependency.

Contact us

  • Vernon Hogan, BulkTP
  • Antonio Buric, InfoTerra
Web
		counter

Please log in to comment on this module

Odoo
Re: Satyanagara
by on

Hi Satyanagara, this is most likely due to the newer bokeh python library you have on the instance, please make sure the version you are using is 0.12.7, by running: pip install bokeh==0.12.7 If you still get this error regardless of the bokeh version used, get in touch with us directly on the email button above (odoo.bulktp.com) and we will make sure it is resolved. Please email us directly for queries like these since there are no notifications for comments posted here.


Odoo
Error. Please, investigate.
by on

Error: Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/fields.py", line 937, in __get__ value = record.env.cache.get(record, self) File "/usr/lib/python3/dist-packages/odoo/api.py", line 960, in get value = self._data[field][record.id][key] KeyError: During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 650, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 310, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 692, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 342, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 335, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 936, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 931, in call_kw return self._call_kw(model, method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 923, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 689, in call_kw return call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 680, in call_kw_multi result = method(recs, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/models.py", line 2601, in read values[name] = field.convert_to_read(record[name], record, use_name_get) File "/usr/lib/python3/dist-packages/odoo/models.py", line 4754, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 941, in __get__ self.determine_value(record) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1052, in determine_value self.compute_value(recs) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1008, in compute_value self._compute_value(records) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1001, in _compute_value self.compute(records) File "/opt/fleet/traccar_fleet_tracking/models/fleet_vehicle.py", line 137, in _compute_bokeh_chart y_range=DataRange1d(), map_options=map_options) # , title="My Drive") File "/usr/local/lib/python3.5/dist-packages/bokeh/models/map_plots.py", line 43, in __init__ raise ValueError('Invalid value for %r, MapPlot ranges may only be Range1d, not data ranges' % r) ValueError: Invalid value for 'x_range', MapPlot ranges may only be Range1d, not data ranges